=== debian/changelog ===
libmusicbrainz5 (5.1.0+git20150707-5) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Update B-D on g++ to (>= 4:5.2).

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 23:06:11 +0200

libmusicbrainz5 (5.1.0+git20150707-4) experimental; urgency=medium

  * debian/control: Correctly depend on libmusicbrainz5cc2v5.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Jul 2015 20:40:13 +0200

libmusicbrainz5 (5.1.0+git20150707-3) experimental; urgency=medium

  * Bump libmusicbrainz5cc SONAME for g++ 5 transition. (Closes: #791142)
    - debian/control:
      - Rename package libmusicbrainz5cc2 to libmusicbrainz5cc2v5.
      - B-D on g++ (>= 4:5) and B-C on to old versions of g++-5.
    - debian/patches/gcc-5.patch: Change SONAME to libmusicbrainz5cc2v5.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 11 Jul 2015 17:17:46 +0200

libmusicbrainz5 (5.1.0+git20150707-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Jul 2015 12:29:50 +0200

libmusicbrainz5 (5.1.0+git20150707-1) experimental; urgency=medium

  * New upstream snapshot.
  * Split C wrapper functions from the C++ implementation. This helps with the
    GCC 5 transition since it reduces the number of packages requiring a
    rebuild to 3 (cantata, flactag, libkcddb).
    - Add libmusicbrainz5cc2 package.
    - Renamed libmusicbrainz5-1 to libmusicbrainz5-2 due to SONAME bump.
  * debian/rules: Build with -Wl,--as-needed.
  * debian/control: Add graphviz to B-D-I.
  * debian/patches: Removed, applied upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 08 Jul 2015 20:52:58 +0200

libmusicbrainz5 (5.1.0-3) unstable; urgency=medium

  * debisn/source/format: Switch to 3.0 quilt.
  * debian/patches/out-of-tree.patch: Fix out-of-tree builds.
  * debian/libmusicbrainz5-doc.doc-base: Add doc-base registration.
  * debian/rules:
    - Clean up.
    - Build with --parallel.
    - Use out-of-tree builds.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 25 Apr 2015 18:10:06 +0200

libmusicbrainz5 (5.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/{contol,gbp.conf}: Work in master branch.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Nov 2014 18:18:44 +0100

libmusicbrainz5 (5.1.0-1) experimental; urgency=low

  [ Daniel Pocock ]
  * control: migrated to pkg-multimedia

  [ Sebastian Ramacher ]
  * New upstream release.
    - Replace non-free XML parser with libxml2. (Closes: #749698)
  * debian/control:
    - Add myself to Uploaders. (Closes: #769173)
    - Add libxml2-dev to (Build-)Depends.
    - Rename packages according to SONAME bump.
  * debian/copyright: Correct upstream copyright information.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 20 Nov 2014 13:04:21 +0100

libmusicbrainz5 (5.0.1-2) unstable; urgency=low

  * control: Bump the priority to optional.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 07 Jun 2012 20:34:23 +0300

libmusicbrainz5 (5.0.1-1) unstable; urgency=low

  * New upstream release 5.0.1 (LP: #1005075)

  [ Timo Aaltonen ]
  * Build for multiarch.
  * control: Drop libdiscid0-dev from build-depends, not needed anymore.
  * -dev.examples: Change brace expansion to normal wildcards.
  * control: Add ${misc:Depends} to -dev.
  * copyright: Update.
  * copyright: Update the format url.
  * watch: Update the tarball source.
  * Split -doc from the -dev package.

  [ Daniel Pocock ]
  * Update the packaging for the new soname
  * control, rules: Use hardened build flags, bump the debhelper version.
  * Use the debianized jquery package
    - -doc Depends on libjs-jquery
    - Add a symlink to the debianized version

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Fri, 01 Jun 2012 19:17:52 +0300

libmusicbrainz3 (3.0.2-2) unstable; urgency=low

  * Remove local cmake.mk, use CDBS's
  * Don't make a debug build (Closes: #508474)

 -- Ross Burton <ross@debian.org>  Wed, 21 Jan 2009 09:21:57 +0000

libmusicbrainz3 (3.0.2-1) unstable; urgency=low

  * New upstream release
  - Drop gcc-4.3-fix, merged upstream
  - Add gcc-4.4-fix (Closes: #504895)
  * Bump neon dep to -27.
  * Add watch file
  * Change the pkgconfig file to use Requires.private for neon and diskid

 -- Ross Burton <ross@debian.org>  Mon, 22 Dec 2008 21:49:44 +0000

libmusicbrainz3 (3.0.1-2) unstable; urgency=low

  * Really fix build with g++ 4.3 (Closes: #454835)

 -- Ross Burton <ross@debian.org>  Mon, 03 Mar 2008 10:40:07 +0000

libmusicbrainz3 (3.0.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the build docs/ folder in clean (Closes: #442646)
  * Add missing includes to fix build with GCC 4.3 (Closes: #454835)

 -- Ross Burton <ross@debian.org>  Wed, 02 Jan 2008 16:07:59 +0000

libmusicbrainz3 (3.0.0-1) unstable; urgency=low

  * Initial release.

 -- Ross Burton <ross@debian.org>  Fri,  6 Jul 2007 17:22:46 +0100
