=== debian/control ===
Source: libmusicbrainz5
Priority: optional
Maintainer: Debian Multimedia Team <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper (>= 9.20120417),
 cmake,
 libneon27-gnutls-dev | libneon-dev,
 libxml2-dev,
 g++ (>= 4:5.2),
Build-Depends-Indep:
 doxygen,
 graphviz
Standards-Version: 3.9.6
Section: libs
Homepage: http://musicbrainz.org/doc/libmusicbrainz
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmusicbrainz.git
Vcs-Browser: https://anonscm.debian.org/cgit/libmusicbrainz.git

Package: libmusicbrainz5-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 libmusicbrainz5-2 (= ${binary:Version}),
 libmusicbrainz5cc2v5 (= ${binary:Version}),
 libneon27-gnutls-dev | libneon-dev,
 libxml2-dev
Suggests:
 libmusicbrainz5-doc
Description: Library to access the MusicBrainz.org database (development files)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the development files.

Package: libmusicbrainz5-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery
Description: Library to access the MusicBrainz.org database (developer documentation)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the developer documentation.

Package: libmusicbrainz5-2
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: Library to access the MusicBrainz.org database (C wrapper functions)
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the shared library for the C wrapper functions.

Package: libmusicbrainz5cc2v5
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: Library to access the MusicBrainz.org database
 MusicBrainz is a community music metadatabase that attempts to create a
 comprehensive music information site.
 .
 This package contains the shared library.
