=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)

override_dh_auto_build-indep:
	dh_auto_build -- docs
	rm -f obj-*/docs/jquery.js
	rm -f obj-*/docs/*.md5

DEB_DEBDIR=$(dir $(firstword $(MAKEFILE_LIST)))
DEB_UPSTREAM_VER=$(shell dpkg-parsechangelog -l$(DEB_DEBDIR)/changelog \
	| sed -ne 's/^Version: \(.*\)-[^-]*/\1/p' | sed -ne 's/^\([^+]*\)+git.*/\1/p')
COMMIT=97f98a6e04d6ae0bc7c1a7f8003e25b6c364d59b
get-orig-source:
	TMPD=`mktemp -d` && \
		git clone https://github.com/metabrainz/libmusicbrainz \
			"$$TMPD/libmusicbrainz" && \
		git --git-dir="$$TMPD/libmusicbrainz/.git" archive \
			--prefix=libmusicbrainz/ $(COMMIT) | \
			xz > $$TMPD/libmusicbrainz.tar.xz && \
		CDATE=`git --git-dir="$$TMPD/libmusicbrainz/.git" show \
			--format=format:%ci -s $(COMMIT) | \
			awk '{ gsub(/-/,""); print $$1 }'` && \
		mv $$TMPD/libmusicbrainz.tar.xz \
			libmusicbrainz5_$(DEB_UPSTREAM_VER)+git$$CDATE.orig.tar.xz && \
		rm -rf $$TMPD
