=== debian/watch ===
version=3
opts=dversionmangle=s/\+git\d+$// \
http://musicbrainz.org/doc/libmusicbrainz .*/libmusicbrainz-(.*)\.tar\.gz
